Skip to main content
GET
/
api
/
v1
/
event
/
{ticker}
/
candlesticks
Get event candlesticks by ticker
curl --request GET \
  --url https://dev-prediction-markets-api.dflow.net/api/v1/event/{ticker}/candlesticks \
  --header 'x-api-key: <api-key>'
{
  "code": "<string>",
  "msg": "<string>"
}
There is a maximum of 5,000 candlesticks per request. If your startTs, endTs, and periodInterval parameters would produce more than 5,000 results, the request will return a 400 error. Either narrow the time range or increase the period interval.

Need Help?

https://mintcdn.com/dflow/a8Yx7HBusmKl4Z7w/images/meteor-icons_discord.svg?fit=max&auto=format&n=a8Yx7HBusmKl4Z7w&q=85&s=0ea834bc8a9fa3fe161ba181329effda

Join Our Discord

Connect with other developers, get help, and stay updated on the latest DFlow developments.
https://mintcdn.com/dflow/a8Yx7HBusmKl4Z7w/images/meteor-icons_telegram.svg?fit=max&auto=format&n=a8Yx7HBusmKl4Z7w&q=85&s=e928c5dd68311ff0d419936a35c86eed

Dev Notifications

Join the DFlow Dev Notifications Telegram group to stay in the loop on new features and other announcements.

Authorizations

x-api-key
string
header
required

API key for authentication. Contact hello@dflow.net to obtain an API key.

Path Parameters

ticker
string
required

Event ticker

Query Parameters

startTs
integer<int64>
required

Start timestamp (Unix timestamp in seconds, not milliseconds)

Required range: x >= 0
endTs
integer<int64>
required

End timestamp (Unix timestamp in seconds, not milliseconds)

Required range: x >= 0
periodInterval
integer<int32>
required

Time period length of each candlestick in minutes (1, 60, or 1440)

Required range: x >= 0

Response

Event candlesticks retrieved successfully